#pragma once
#ifndef TERNA_H
#define TERNA_H

#include "SDL.h"
#include "SDL_opengl.h"

/* Tipos de terna:
	- 'V': vrtice, toma en cuenta x,y,z
	- 'C': color, toma en cuenta x,y,z como RGB
	- 'N': normal, toma en cuenta x,y,z.
	- 'T': traslacin, toma en cuenta x,y,z.
	- 'D': Indica vrtices de textura, toma en cuenta x, y.
	- 'U': Indica el uso de una textura, toma en cuenta tex.
*/

struct terna {
	GLfloat x;
	GLfloat y;
	GLfloat z;
	GLuint tex;
	char tipo;
};

#endif // TERNA_H
