#ifndef MAPA_H
#define MAPA_H
#include "Terreno.h"
#include "TexLoader.h"
#include "Skybox.h"

class Mapa
{
    public:
        Mapa();
        virtual ~Mapa();
        void Load(int nivel);
        void Draw(float x, float y, float z, int sky);
        float getAltura(float x);
        bool levelOver(float x);

    private:
        Terreno terreno;
        Skybox _skybox;
        TexLoader _skyboxTex;



};

#endif // MAPA_H
