#include "Rueda.h"
#include "ObjLoader.h"
#include "SDL2/SDL_opengl.h"

Rueda::Rueda()
{
    id_Rueda= 0;
}

Rueda::~Rueda()
{
    //dtor
}

void Rueda::Draw(){
    glPushMatrix();
    glCallList(id_Rueda);
    glPopMatrix();
}

void Rueda::Load(int modelo){
    ObjLoader objL;
    switch(modelo){
    case 1:
        objL.loadObj("Modelos/rueda2.obj", id_Rueda);
        break;
    case 2:
        objL.loadObj("Modelos/rueda3.obj", id_Rueda);
        break;
    case 3:
        objL.loadObj("Modelos/rueda4.obj", id_Rueda);
        break;
    }
}
