#include "canoEscape.h"
#include "vector"
#include "humo.h"
#define limit_part 500
#define parts_per_frame 5
#include "TexLoader.h"
#include <stdlib.h>


canoEscape::canoEscape()
{

}

canoEscape::~canoEscape()
{
    //dtor
}

void canoEscape::init(){
    TexLoader tex;
    tex.Load("Texturas/humo.png", GL_RGBA);
    id_tex= tex.GetID();
    principio= 0;
    fin= 0;
    billboard= true;

}

void canoEscape::brum(float x,float y, float z){
    for(int i=0; i<parts_per_frame; i++){
        humo h= humo(x+0.1-i*0.01,y+(rand()%10)/50,z,id_tex, billboard);
        smoke.push_front(h);
        if(smoke.size()==limit_part)
            smoke.pop_back();
    }
}

void canoEscape::switchBillboard(){
    billboard= !billboard;
}

void canoEscape::Draw(){
    glEnable(GL_TEXTURE_2D);
    glEnable(GL_BLEND);
    glDisable(GL_DEPTH_TEST);
    glBlendFunc(GL_SRC_ALPHA, GL_ONE_MINUS_SRC_ALPHA);
    glBindTexture(GL_TEXTURE_2D, id_tex);
    bool flag=true;
    for(int i=0; i< smoke.size()&&flag; i++){
        if(smoke[i].isAlive())
            smoke[i].Draw();
        else
            flag= false;
    }
    glDisable(GL_BLEND);
    glDisable(GL_TEXTURE_2D);
    glEnable(GL_DEPTH_TEST);
}



