#ifndef MOTO_H
#define MOTO_H

#include <math.h>
#include "glm/glm.hpp"
#include"Rueda.h"
#include "SDL2/SDL.h"
#include "SDL2/SDL_opengl.h"
#include "Mapa.h"
#include "canoEscape.h"

class Moto
{
    public:
        Moto();
        virtual ~Moto();
        void Load(int modelo);
        void setMapa(Mapa* mapita);
        void mover(float acceleration,float incline, float& x, float& y, float gameS, float delta_t, bool& dead, bool& win, int& points);
        void Draw();
        void restart();
        void switchHumo();
        void switchBillboard();

    private:
        int id_Moto;
        Mapa* mapa;

        glm::vec2 velocidad;
        glm::vec2 back_wheel;
        glm::vec2 front_wheel;
        glm::vec2 posicion;
        glm::vec3 cEscape;
        float inclinacion;
        float wheel_rotation;
        Rueda rueda;
        bool free_fall;
        float inc_aux;
        float velocidadGiro;
        float inclinacion_deg;
        int avance;
        float flip;
        bool humoOn;
        float WHEEL_RADIO;
        glm::vec2 ruedaT;
        glm::vec2 ruedaD;
        canoEscape cEsc;

        float vel_aux;

        vector<float> camino;
};

#endif // MOTO_H
