#ifndef TERRENO_H
#define TERRENO_H
#include <vector>

using namespace std;
struct Pista{
    int ident;
    int idModelo;
    float inicio;
    float fin;
    Pista(int ident,float i, int idMod);
    float getAltura(float x);
};

class Terreno
{
    public:
        Terreno();
        virtual ~Terreno();
        bool Load(int nivel);
        float getAltura(float x);
        void Draw();
        bool LevelOver(float x);


    private:
        int idTerreno;
        int idFloor;
        int idpista1;
        int idpista2;
        int idpista3;
        int idFinishLine;
        vector<Pista*> pistas;
        void addPista(int ident, float pos,int idMod);
        void addFinish(float f);
        float finishLine;

};

#endif // TERRENO_H
